# Generated by rust2rpm
%bcond_with check
%global debug_package %{nil}

%global crate block-modes

Name:           rust-%{crate}
Version:        0.3.3
Release:        3%{?dist}
Summary:        Block cipher modes of operation

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/block-modes
Source:         %{crates_source}
# Initial patched metadata
# * Update hex-literal to 0.2, https://github.com/RustCrypto/block-ciphers/pull/45
Patch0:         block-modes-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(block-cipher-trait/default) >= 0.6.0 with crate(block-cipher-trait/default) < 0.7.0)
BuildRequires:  (crate(block-padding/default) >= 0.1.0 with crate(block-padding/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(aes-soft/default) >= 0.3.0 with crate(aes-soft/default) < 0.4.0)
BuildRequires:  (crate(hex-literal/default) >= 0.2.0 with crate(hex-literal/default) < 0.3.0)
%endif

%global _description \
Block cipher modes of operation.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 03 2019 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Sat Apr 27 19:48:07 EEST 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.2-1
- Initial package
